%define oname plasma-nm

Summary:	Plasma 5 applet network management module
Name:		plasma5-nm
Version:	5.12.5
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
Source1:	plasma5-nm-ru.tar.gz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5completion-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5declarative-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5init-devel
BuildRequires:	kf5itemviews-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5modemmanagerqt-devel
BuildRequires:	kf5networkmanagerqt-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5plasma-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5solid-devel
BuildRequires:	kf5wallet-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(mobile-broadband-provider-info)
BuildRequires:	pkgconfig(ModemManager)
BuildRequires:	pkgconfig(NetworkManager)
BuildRequires:	pkgconfig(openconnect)
BuildRequires:	pkgconfig(qca2-qt5)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5UiTools)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	mobile-broadband-provider-info
Requires:	modemmanager
Requires:	networkmanager
Requires:	qca2-qt5-plugin-openssl
Conflicts:	plasma-applet-networkmanagement
Conflicts:	plasma-nm
Conflicts:	knetworkmanager-common

%description
Plasma 5 applet network management module. It provides plasma applet and
editor for managing your network connections in Plasma 5 using the default
NetworkManager service.

%files -f %{oname}.lang
%dir %{_kde5_datadir}/kcm_networkmanagement/
%{_kde5_datadir}/kcm_networkmanagement/*
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.networkmanagement/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.networkmanagement/*
%{_kde5_libdir}/libplasmanm_editor.so
%{_kde5_libdir}/libplasmanm_internal.so
%{_kde5_notificationsdir}/networkmanagement.notifyrc
%dir %{_kde5_qmldir}/org/kde/plasma/networkmanagement/
%{_kde5_qmldir}/org/kde/plasma/networkmanagement/*
%{_kde5_plugindir}/kded/networkmanagement.so
%{_kde5_services}/kcm_networkmanagement.desktop
%{_kde5_services}/plasma-applet-org.kde.plasma.networkmanagement.desktop
%{_kde5_services}/plasmanetworkmanagement_fortisslvpnui.desktop
%{_kde5_services}/plasmanetworkmanagement_iodineui.desktop
%{_kde5_services}/plasmanetworkmanagement_l2tpui.desktop
%{_kde5_services}/plasmanetworkmanagement_openconnect_juniperui.desktop
%{_kde5_services}/plasmanetworkmanagement_openconnectui.desktop
%{_kde5_services}/plasmanetworkmanagement_openswanui.desktop
%{_kde5_services}/plasmanetworkmanagement_openvpnui.desktop
%{_kde5_services}/plasmanetworkmanagement_pptpui.desktop
%{_kde5_services}/plasmanetworkmanagement_sshui.desktop
%{_kde5_services}/plasmanetworkmanagement_sstpui.desktop
%{_kde5_services}/plasmanetworkmanagement_strongswanui.desktop
%{_kde5_services}/plasmanetworkmanagement_vpncui.desktop
%{_kde5_servicetypes}/plasma-networkmanagement-vpnuiplugin.desktop
%{_qt5_plugindir}/kcm_networkmanagement.so
%{_qt5_plugindir}/libplasmanetworkmanagement_fortisslvpnui.so
%{_qt5_plugindir}/libplasmanetworkmanagement_iodineui.so
%{_qt5_plugindir}/libplasmanetworkmanagement_l2tpui.so
%{_qt5_plugindir}/libplasmanetworkmanagement_openconnectui.so
%{_qt5_plugindir}/libplasmanetworkmanagement_openswanui.so
%{_qt5_plugindir}/libplasmanetworkmanagement_openvpnui.so
%{_qt5_plugindir}/libplasmanetworkmanagement_pptpui.so
%{_qt5_plugindir}/libplasmanetworkmanagement_sshui.so
%{_qt5_plugindir}/libplasmanetworkmanagement_sstpui.so
%{_qt5_plugindir}/libplasmanetworkmanagement_strongswanui.so
%{_qt5_plugindir}/libplasmanetworkmanagement_vpncui.so
%{_appdatadir}/org.kde.plasma.networkmanagement.appdata.xml

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
pushd po/ru
tar xf %{SOURCE1}
popd

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang plasma_applet_org.kde.plasma.networkmanagement \
           plasmanetworkmanagement_fortisslvpnui \
           plasmanetworkmanagement-kcm \
           plasmanetworkmanagement-kded \
           plasmanetworkmanagement_iodineui \
           plasmanetworkmanagement_l2tpui \
           plasmanetworkmanagement-libs \
           plasmanetworkmanagement_openconnectui \
           plasmanetworkmanagement_openswanui \
           plasmanetworkmanagement_openvpnui \
           plasmanetworkmanagement_pptpui \
           plasmanetworkmanagement_sshui \
           plasmanetworkmanagement_sstpui \
           plasmanetworkmanagement_strongswanui \
           plasmanetworkmanagement_vpncui \
           %{oname}.lang


%changelog

* Thu May 10 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.5-1
- (46e59ad) New version 5.12.5

* Sat Apr 14 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.4-1
- (668d140) New version 5.12.4

* Fri Jan 05 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.5-1
- (3be8f33) New version 5.11.5

* Wed Dec 20 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.4-1
- (7c7de00) Drop the old legacy connection editor
- (7c7de00) Add fortisslvpnui plugin files
- (Andrey Bondrov: dea540f) New version 5.11.4

* Wed Aug 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-1
- (9805a3f) New version 5.10.5

* Fri Aug 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.4-2
- (1283b71) Update Russian translations

* Thu Aug 17 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.4-1
- (96cc24e) Update files
- (Andrey Bondrov: 7c9d2bf) New version 5.10.4

* Wed Mar 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (7c41dc4) New version 5.9.4

* Wed Mar 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (a2028e9) New version 5.9.3

* Thu Feb 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-1
- (6cb9364) New version 5.9.2

* Mon Feb 13 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.1-1
- (3314c46) New version 5.9.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (90244da) MassBuild#1230: Increase release tag

* Fri Feb 03 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (e56a80a) Update files
- (Andrey Bondrov: a8d74d3) Build requires pkgconfig(Qt5UiTools)
- (Andrey Bondrov: c25293e) New version 5.9.0

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-2
- (d93ecb2) MassBuild#1211: Increase release tag

* Mon Nov 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-1
- (850b258) Drop patches (fixed upstream)
- (Andrey Bondrov: 9988f8f) New version 5.8.3

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.2-3
- (a948b78) MassBuild#1169: Increase release tag

* Thu Jul 28 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.2-2
- (04c56af) Backport patch from upstream (fix data validation when creating new pppoe connections)

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (0d668dd) Re-diff l10n patch
- (valerol: b419005) New version 5.7.2

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.5-1
- (f92a91e) Re-diff l10n patch
- (Andrey Bondrov: 7099f2c) New version 5.6.5

* Thu Apr 21 2016 valerol <valerol@ya.ru> 5.6.3-1
- (c375e06) Re-diff l10n patch
- (Andrey Bondrov: 88ba7d2) New version 5.6.3

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-2
- (b6ee9c4) MassBuild#1027: Increase release tag

* Sat Apr 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-1
- (a9c1c8e) Update l10n patch


